FROM debian:latest

WORKDIR /var/www/scala

RUN apt-get update
RUN apt-get upgrade -y

RUN apt-get install apt-transport-https gnupg2 -y

# install java-8
RUN apt-get install -y openjdk-8-jdk

# install scala
RUN apt-get install -y wget
RUN wget -c www.scala-lang.org/files/archive/scala-2.12.8.deb
RUN dpkg -i scala-2.12.8.deb
RUN apt-get update
RUN apt-get install -y scala

# install sbt
RUN echo "deb https://dl.bintray.com/sbt/debian /" | tee -a /etc/apt/sources.list.d/sbt.list
RUN apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 2EE0EA64E40A89B84B2DF73499E82A75642AC823
RUN apt-get update
RUN apt-get install -y sbt
RUN apt-get install -y make
